package com.yonge.cooleshow.biz.dal.queryInfo;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-08
 */
public class TeacherBindingUserQueryInfo {

    // 老师绑定的学生列表查询
    public static class BindingUserQuery{

        // 老师id
        private Long teacherId;

        // 查询条件 昵称、编号、手机号
        private String search;

        // 绑定开始时间
        private Date startTime;

        // 绑定结束时间
        private Date endTime;


        public static BindingUserQuery from(String recv) {

            return JSON.parseObject(recv, BindingUserQuery.class);
        }

        public Long getTeacherId() {
            return teacherId;
        }

        public void setTeacherId(Long teacherId) {
            this.teacherId = teacherId;
        }

        public String getSearch() {
            return search;
        }

        public void setSearch(String search) {
            this.search = search;
        }

        public Date getStartTime() {
            return startTime;
        }

        public void setStartTime(Date startTime) {
            this.startTime = startTime;
        }

        public Date getEndTime() {
            return endTime;
        }

        public void setEndTime(Date endTime) {
            this.endTime = endTime;
        }
    }
    // 绑定学生课程列表查询
    public static class BindingStudentCourseQuery{

        // 老师id
        private Long teacherId;

        // 学员id
        private Long studentId;


        public static BindingStudentCourseQuery from(String recv) {

            return JSON.parseObject(recv, BindingStudentCourseQuery.class);
        }

        public Long getTeacherId() {
            return teacherId;
        }

        public void setTeacherId(Long teacherId) {
            this.teacherId = teacherId;
        }

        public Long getStudentId() {
            return studentId;
        }

        public void setStudentId(Long studentId) {
            this.studentId = studentId;
        }
    }



}
